<?

  include_once("./_common.php");
  $m_path = "../shop";
  include_once("$m_path/m_common.php");

$board[shop] = "g4_site_bill";
$go_path[skin]  = "../adm/shop.php?url=$act";

$group_path = "$g4[path]/data/file/index";


//파일 이미지 업로드

// 디렉토리가 없다면 생성합니다. (퍼미션도 변경하구요.)
// 게시판 디렉토리 생성
@mkdir($group_path, 0707);
@chmod($group_path, 0707);

$file = $group_path . "/index.php";
$f = @fopen($file, "w");
@fwrite($f, "");
@fclose($f);
@chmod($file, 0606);


if($act){
  $mct     =  "  po_poll1 = 'skin'  ";  
  $mct    .=  " and po_poll2 = '$act' "; 
  $set_skin = "";
  $cat_row = sql_query("select * from $board[shop] where  $mct");
  if($cat_row=='0'){
     $sql = " insert into $board[shop]
            set po_subject  = '$act',
                  po_poll1 = 'skin',
                  po_poll2  = '$act',
                  po_poll3  = '$po_poll3' ";
    $result  = sql_query($sql);
	if($result){
	  alert("정상적으로 $act 등록[삽입]되었습니다.", $go_path[skin]);
	}
  }
  else{

    $sql = " set     po_poll3 = '$po_poll3',
                    po_poll4 = '$po_poll4',
                    po_poll5 = '$po_poll5',
                    po_poll6 = '$po_poll6',
                    po_poll7 = '$po_poll7',
                    po_poll8 = '$po_poll8',
                    po_poll9 = '$po_poll9',
                    po_poll10 = '$po_poll10',
                    po_poll11 = '$po_poll11',
                    po_poll12 = '$po_poll12',
                    po_poll13 = '$po_poll13',
                    po_poll14 = '$po_poll14',
                    po_poll15 = '$po_poll15',
                    po_poll16 = '$po_poll16',
                    po_poll17 = '$po_poll17',
                    po_cnt1 = '$po_cnt1',
                    po_cnt2 = '$po_cnt2',
                    po_cnt3 = '$po_cnt3',
                    po_cnt4 = '$po_cnt4',
                    po_cnt5 = '$po_cnt5',
                    po_cnt6 = '$po_cnt6',
                    po_cnt7 = '$po_cnt7',
                    po_cnt8 = '$po_cnt8',
                    po_cnt9 = '$po_cnt9',
                    po_cnt10 = '$po_cnt10',
                    po_cnt11 = '$po_cnt11',
                    po_cnt12 = '$po_cnt12',
                    po_cnt13 = '$po_cnt13',
                    po_cnt14 = '$po_cnt14',
                    po_cnt15 = '$po_cnt15',
                    po_cnt16 = '$po_cnt16',
                    po_cnt17 = '$po_cnt17',
                    po_cnt18 = '$po_cnt18',
                    po_cnt19 = '$po_cnt19'
                     ";
                     
                     
//상단 이미지 경로
if ($index_menu_del) {
    @unlink("$group_path/$po_poll19");
    $sql .= " , po_poll19 = '' ";
}

//하단 이미지 경로
if ($index_menu_del2) {
    @unlink("$group_path/$po_poll18");
    $sql .= " , po_poll18 = '' ";
}

// 
if ($_FILES[po_poll19][name]) {
    $bo_image_menu_urlencode = urlencode($_FILES[po_poll19][name]);
    $sql .= " , po_poll19 = '$bo_image_menu_urlencode' ";
}

if ($_FILES[po_poll18][name]) {
    $bo_image_menu2_urlencode = urlencode($_FILES[po_poll18][name]);
    $sql .= " , po_poll18 = '$bo_image_menu2_urlencode' ";
}


if ($_FILES[po_poll19][name]) { 
    $bo_image_11_path = "$group_path/$bo_image_menu_urlencode";
    move_uploaded_file($_FILES[po_poll19][tmp_name], $bo_image_11_path);
    chmod($bo_image_11_path, 0606);
}

if ($_FILES[po_poll18][name]) { 
    $bo_image_22_path = "$group_path/$bo_image_menu2_urlencode";
    move_uploaded_file($_FILES[po_poll18][tmp_name], $bo_image_22_path);
    chmod($bo_image_22_path, 0606);
}


             
             
    $result = sql_query(" update $board[shop] $sql where po_poll2 = '$act'");

	if($result){
	  alert("정상적으로  $act 업데이트되었습니다.", $go_path[skin]);
	}
	else{
	 alert("코드 에러입니다. 소스수정update[skin.php]이 필요합니다..", $go_path[skin]);
	}
  }

}

?>
